Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 592891 - V2V doesn't convert network driver for some guests(rhel3u9-32bit)
Summary: V2V doesn't convert network driver for some guests(rhel3u9-32bit)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-v2v
Version: 5.5
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Matthew Booth
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 596776
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-17 10:18 UTC by Rita Wu
Modified: 2013-07-03 01:39 UTC (History)
7 users (show)

Fixed In Version: 0.6.0-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-16 15:08:17 UTC
Target Upstream Version:


Attachments (Terms of Use)
after conversion /etc/module.conf (deleted)
2010-05-17 10:18 UTC, Rita Wu
no flags Details
after conversion, #lsmod (deleted)
2010-05-17 10:33 UTC, Rita Wu
no flags Details
the similar problems in xenhvm guest: rhel3u9-32 bit and 64bit (deleted)
2010-05-17 10:51 UTC, Rita Wu
no flags Details
log from LIBGUESTFS_TRACE=1 during conversion (deleted)
2010-05-18 10:51 UTC, Rita Wu
no flags Details

Description Rita Wu 2010-05-17 10:18:54 UTC
Created attachment 414509 [details]
after conversion /etc/module.conf

Description of problem:
V2V doesn't convert network driver for some guests(ESX4.0-rhel3u9-32bit)

Before conversion, /etc/module.conf
alias eth0 pcnet32
alias scsi_hostadapter mptbase
alias scsi_hostadapter1 mptscsih

lsmod |grep pcnet
pcnet32                22820   1
mii                     4664   0  [pcnet32]
crc32                   3764   0  [pcnet32]


Version-Release number of selected component (if applicable):
v2v-libvirt-0.8.1-1.el5
virt-v2v-0.5.4-1.el5

How reproducible:
always

Steps to Reproduce:
1.#virt-v2v -f virt-v2v.conf -ic esx://host/?no_verify=1 -o rhev -osd nfs:/export ESX4.0-RHEL3.9-i386;

Actual results:
network driver isn't converted to e1000

Expected results:
network driver isn converted to e1000

Additional info:

Comment 1 Rita Wu 2010-05-17 10:33:14 UTC
Created attachment 414512 [details]
after conversion, #lsmod

Comment 2 Rita Wu 2010-05-17 10:51:14 UTC
Created attachment 414517 [details]
the similar problems in xenhvm guest: rhel3u9-32 bit and 64bit

In  xenhvm guest: rhel3u9-32 bit and 64bit, after conversion, "8139cp device eth0 " won't be converted to e1000.

Comment 3 Mohua Li 2010-05-18 05:03:56 UTC
this also happen to ESX3.5-rhel3u9-32bit,

after conversion, /etc/modules.conf,
alias eth0 pcnet32
alias scsi_hostadapter mptbase
alias scsi_hostadapter1 mptscsih


the correct should be,

[root@dhcp-66-83-46 root]# cat /etc/modules.conf 
alias eth0 e1000
alias scsi_hostadapter mptbase
alias scsi_hostadapter1 mptscsih

Comment 4 Rita Wu 2010-05-18 10:51:01 UTC
Created attachment 414804 [details]
log from LIBGUESTFS_TRACE=1 during conversion

Comment 5 Matthew Booth 2010-05-27 14:46:25 UTC
I've tracked this down to an issue in libguestfs.

Comment 6 Matthew Booth 2010-05-28 09:29:44 UTC
Version 0.6.0-2 has a dependency on the updated libguestfs.

Comment 7 Rita Wu 2010-05-28 13:03:45 UTC
Verified in v2v 0.6.0-2 and libguestfs-1.2.7-1.el5.3.

Now it is changed to e1000(rhel3u9-64-xenhvm)
# cat /etc/modules.conf 
alias eth0 e1000

Comment 8 Ludek Smid 2010-07-16 15:08:17 UTC
This issue was already fixed in advisory http://rhn.redhat.com/errata/RHEA-2010-0495.html


Note You need to log in before you can comment on or make changes to this bug.